package com.pesets.game.map;

import java.awt.Point;
import java.util.ArrayList;

public class SpawnMap {
	public static class SpawnPoint
	{
		public int x, y;
		public int level;
		public int mobType;
		
		@Override
		public int hashCode() {
			final int prime = 31;
			int result = 1;
			result = prime * result + x;
			result = prime * result + y;
			return result;
		}
		@Override
		public boolean equals(Object obj) {
			if (this == obj)
				return true;
			if (obj == null)
				return false;
			if (getClass() != obj.getClass())
				return false;
			SpawnPoint other = (SpawnPoint) obj;
			if (x != other.x)
				return false;
			if (y != other.y)
				return false;
			return true;
		}
		
		
	}
	
	private ArrayList<SpawnPoint> spawns = new ArrayList<SpawnMap.SpawnPoint>();
	private Point playerPos = new Point();
	
	SpawnMap()
	{
		
	}
	
	public Point getPlayerPos() {
		return playerPos;
	}
	public void setPlayerPos(Point playerPos) {
		this.playerPos = playerPos;
	}
	public ArrayList<SpawnPoint> getSpawns() {
		return spawns;
	}
	public void setSpawns(ArrayList<SpawnPoint> spawns) {
		this.spawns = spawns;
	}
	
}
